GET
/wallets/client-wallet-by-asset/{assetId}/{clientId}Get Client Wallet by Asset
Outcome - Returns a client's wallet for one asset, and creates it if it does not exist yet (for example after a new token was added to the vault). clientId here is the RoxCustody client ID (a number).
Path Parameters
assetIdnumberAsset ID
clientIdnumberRoxCustody client ID
Responses
Response attributes
messagestringResponse message
dataobjectWallet details
Show child attributes (9)
idnumberWallet ID
balancestringAvailable balance
pendingBalancestringPending balance
publicAddressstringPublic blockchain address of the wallet
transactionsCountstringNumber of transactions
targetIdnumberTarget ID
createdAtstringWallet creation timestamp
updatedAtstringWallet last updated timestamp
typestringWallet type
statusnumberHTTP status code
Was this page helpful?